DOMFragmentParser (NekoHTML 1.9.20 Implementation)
Date: 2014-02-13

org.cyberneko.html.parsers

## Class DOMFragmentParser

- java.lang.Object
- - org.cyberneko.html.parsers.DOMFragmentParser

-     public class DOMFragmentParser
      extends java.lang.Object

  A DOM parser for HTML fragments.
  Version:
    $Id: DOMFragmentParser.java,v 1.8 2005/02/14 03:56:54 andyc Exp $
  Author:
    Andy Clark

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected static java.lang.String` | `CURRENT_ELEMENT_NODE` Current element node.
    `protected static java.lang.String` | `DOCUMENT_FRAGMENT` Document fragment balancing only.
    `protected static java.lang.String` | `ERROR_HANDLER` Property identifier: error handler.
    `protected org.w3c.dom.Node` | `fCurrentNode` Current node.
    `protected org.w3c.dom.Document` | `fDocument` Document.
    `protected org.w3c.dom.DocumentFragment` | `fDocumentFragment` DOM document fragment.
    `protected XMLDocumentSource` | `fDocumentSource` Document source.
    `protected boolean` | `fInCDATASection` True if within a CDATA section.
    `protected XMLParserConfiguration` | `fParserConfiguration` Parser configuration.
    `protected static java.lang.String[]` | `RECOGNIZED_FEATURES` Recognized features.
    `protected static java.lang.String[]` | `RECOGNIZED_PROPERTIES` Recognized properties.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DOMFragmentParser()` Default constructor.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `characters(XMLString text, Augmentations augs)` Characters.
    `void` | `comment(XMLString text, Augmentations augs)` Comment.
    `void` | `doctypeDecl(java.lang.String root, java.lang.String pubid, java.lang.String sysid, Augmentations augs)` Document type declaration.
    `void` | `emptyElement(QName element, XMLAttributes attrs, Augmentations augs)` Empty element.
    `void` | `endCDATA(Augmentations augs)` End CDATA section.
    `void` | `endDocument(Augmentations augs)` End document.
    `void` | `endElement(QName element, Augmentations augs)` End element.
    `void` | `endGeneralEntity(java.lang.String name, Augmentations augs)` End general entity.
    `void` | `endPrefixMapping(java.lang.String prefix, Augmentations augs)` End prefix mapping.
    `XMLDocumentSource` | `getDocumentSource()` Returns the document source.
    `org.xml.sax.ErrorHandler` | `getErrorHandler()` Return the current error handler.
    `boolean` | `getFeature(java.lang.String featureId)` Query the state of a feature.
    `java.lang.Object` | `getProperty(java.lang.String propertyId)` Query the value of a property.
    `void` | `ignorableWhitespace(XMLString text, Augmentations augs)` Ignorable whitespace.
    `void` | `parse(org.xml.sax.InputSource source, org.w3c.dom.DocumentFragment fragment)` Parses a document fragment.
    `void` | `parse(java.lang.String systemId, org.w3c.dom.DocumentFragment fragment)` Parses a document fragment.
    `void` | `processingInstruction(java.lang.String target, XMLString data, Augmentations augs)` Processing instruction.
    `void` | `setDocumentSource(XMLDocumentSource source)` Sets the document source.
    `void` | `setErrorHandler(org.xml.sax.ErrorHandler errorHandler)` Allow an application to register an error event handler.
    `void` | `setFeature(java.lang.String featureId, boolean state)` Set the state of any feature in a SAX2 parser.
    `void` | `setProperty(java.lang.String propertyId, java.lang.Object value)` Set the value of any property in a SAX2 parser.
    `void` | `startCDATA(Augmentations augs)` Start CDATA section.
    `void` | `startDocument(XMLLocator locator, java.lang.String encoding, Augmentations augs)` Start document.
    `void` | `startDocument(XMLLocator locator, java.lang.String encoding, NamespaceContext nscontext, Augmentations augs)` Start document.
    `void` | `startElement(QName element, XMLAttributes attrs, Augmentations augs)` Start element.
    `void` | `startGeneralEntity(java.lang.String name, XMLResourceIdentifier id, java.lang.String encoding, Augmentations augs)` Start general entity.
    `void` | `startPrefixMapping(java.lang.String prefix, java.lang.String uri, Augmentations augs)` Start prefix mapping.
    `void` | `textDecl(java.lang.String version, java.lang.String encoding, Augmentations augs)` Text declaration.
    `void` | `xmlDecl(java.lang.String version, java.lang.String encoding, java.lang.String standalone, Augmentations augs)` XML declaration.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### DOCUMENT_FRAGMENT

          protected static final java.lang.String DOCUMENT_FRAGMENT

      Document fragment balancing only.
      See Also:
        Constant Field Values

    - #### RECOGNIZED_FEATURES

          protected static final java.lang.String[] RECOGNIZED_FEATURES

      Recognized features.

    - #### ERROR_HANDLER

          protected static final java.lang.String ERROR_HANDLER

      Property identifier: error handler.

    - #### CURRENT_ELEMENT_NODE

          protected static final java.lang.String CURRENT_ELEMENT_NODE

      Current element node.

    - #### RECOGNIZED_PROPERTIES

          protected static final java.lang.String[] RECOGNIZED_PROPERTIES

      Recognized properties.

    - #### fParserConfiguration

          protected XMLParserConfiguration fParserConfiguration

      Parser configuration.

    - #### fDocumentSource

          protected XMLDocumentSource fDocumentSource

      Document source.

    - #### fDocumentFragment

          protected org.w3c.dom.DocumentFragment fDocumentFragment

      DOM document fragment.

    - #### fDocument

          protected org.w3c.dom.Document fDocument

      Document.

    - #### fCurrentNode

          protected org.w3c.dom.Node fCurrentNode

      Current node.

    - #### fInCDATASection

          protected boolean fInCDATASection

      True if within a CDATA section.

  - ### Constructor Detail

    - #### DOMFragmentParser

          public DOMFragmentParser()

      Default constructor.

  - ### Method Detail

    - #### parse

          public void parse(java.lang.String systemId,
                   org.w3c.dom.DocumentFragment fragment)
                     throws org.xml.sax.SAXException,
                            java.io.IOException

      Parses a document fragment.
      Throws:
        `org.xml.sax.SAXException`
        `java.io.IOException`

    - #### parse

          public void parse(org.xml.sax.InputSource source,
                   org.w3c.dom.DocumentFragment fragment)
                     throws org.xml.sax.SAXException,
                            java.io.IOException

      Parses a document fragment.
      Throws:
        `org.xml.sax.SAXException`
        `java.io.IOException`

    - #### setErrorHandler

          public void setErrorHandler(org.xml.sax.ErrorHandler errorHandler)

      Allow an application to register an error event handler.

      If the application does not register an error handler, all error events reported by the SAX parser will be silently ignored; however, normal processing may not continue. It is highly recommended that all SAX applications implement an error handler to avoid unexpected bugs.

      Applications may register a new or different handler in the middle of a parse, and the SAX parser must begin using the new handler immediately.

      Parameters:
        `errorHandler` - The error handler.
      Throws:
        `java.lang.NullPointerException` - If the handler argument is null.
      See Also:
        `getErrorHandler()`

    - #### getErrorHandler

          public org.xml.sax.ErrorHandler getErrorHandler()

      Return the current error handler.
      Returns:
        The current error handler, or null if none has been registered.
      See Also:
        `setErrorHandler(org.xml.sax.ErrorHandler)`

    - #### setFeature

          public void setFeature(java.lang.String featureId,
                        boolean state)
                          throws org.xml.sax.SAXNotRecognizedException,
                                 org.xml.sax.SAXNotSupportedException

      Set the state of any feature in a SAX2 parser. The parser might not recognize the feature, and if it does recognize it, it might not be able to fulfill the request.
      Parameters:
        `featureId` - The unique identifier (URI) of the feature.
        `state` - The requested state of the feature (true or false).
      Throws:
        `org.xml.sax.SAXNotRecognizedException` - If the requested feature is not known.
        `org.xml.sax.SAXNotSupportedException` - If the requested feature is known, but the requested state is not supported.

    - #### getFeature

          public boolean getFeature(java.lang.String featureId)
                             throws org.xml.sax.SAXNotRecognizedException,
                                    org.xml.sax.SAXNotSupportedException

      Query the state of a feature. Query the current state of any feature in a SAX2 parser. The parser might not recognize the feature.
      Parameters:
        `featureId` - The unique identifier (URI) of the feature being set.
      Returns:
        The current state of the feature.
      Throws:
        `org.xml.sax.SAXNotRecognizedException` - If the requested feature is not known.
        `org.xml.sax.SAXNotSupportedException` - If the requested feature is known but not supported.

    - #### setProperty

          public void setProperty(java.lang.String propertyId,
                         java.lang.Object value)
                           throws org.xml.sax.SAXNotRecognizedException,
                                  org.xml.sax.SAXNotSupportedException

      Set the value of any property in a SAX2 parser. The parser might not recognize the property, and if it does recognize it, it might not support the requested value.
      Parameters:
        `propertyId` - The unique identifier (URI) of the property being set.
        `value` - The value to which the property is being set.
      Throws:
        `org.xml.sax.SAXNotRecognizedException` - If the requested property is not known.
        `org.xml.sax.SAXNotSupportedException` - If the requested property is known, but the requested value is not supported.

    - #### getProperty

          public java.lang.Object getProperty(java.lang.String propertyId)
                                       throws org.xml.sax.SAXNotRecognizedException,
                                              org.xml.sax.SAXNotSupportedException

      Query the value of a property. Return the current value of a property in a SAX2 parser. The parser might not recognize the property.
      Parameters:
        `propertyId` - The unique identifier (URI) of the property being set.
      Returns:
        The current value of the property.
      Throws:
        `org.xml.sax.SAXNotRecognizedException` - If the requested property is not known.
        `org.xml.sax.SAXNotSupportedException` - If the requested property is known but not supported.

    - #### setDocumentSource

          public void setDocumentSource(XMLDocumentSource source)

      Sets the document source.

    - #### getDocumentSource

          public XMLDocumentSource getDocumentSource()

      Returns the document source.

    - #### startDocument

          public void startDocument(XMLLocator locator,
                           java.lang.String encoding,
                           Augmentations augs)
                             throws XNIException

      Start document.
      Throws:
        `XNIException`

    - #### startDocument

          public void startDocument(XMLLocator locator,
                           java.lang.String encoding,
                           NamespaceContext nscontext,
                           Augmentations augs)
                             throws XNIException

      Start document.
      Throws:
        `XNIException`

    - #### xmlDecl

          public void xmlDecl(java.lang.String version,
                     java.lang.String encoding,
                     java.lang.String standalone,
                     Augmentations augs)
                       throws XNIException

      XML declaration.
      Throws:
        `XNIException`

    - #### doctypeDecl

          public void doctypeDecl(java.lang.String root,
                         java.lang.String pubid,
                         java.lang.String sysid,
                         Augmentations augs)
                           throws XNIException

      Document type declaration.
      Throws:
        `XNIException`

    - #### processingInstruction

          public void processingInstruction(java.lang.String target,
                                   XMLString data,
                                   Augmentations augs)
                                     throws XNIException

      Processing instruction.
      Throws:
        `XNIException`

    - #### comment

          public void comment(XMLString text,
                     Augmentations augs)
                       throws XNIException

      Comment.
      Throws:
        `XNIException`

    - #### startPrefixMapping

          public void startPrefixMapping(java.lang.String prefix,
                                java.lang.String uri,
                                Augmentations augs)
                                  throws XNIException

      Start prefix mapping. @deprecated Since Xerces 2.2.0.
      Throws:
        `XNIException`

    - #### endPrefixMapping

          public void endPrefixMapping(java.lang.String prefix,
                              Augmentations augs)
                                throws XNIException

      End prefix mapping. @deprecated Since Xerces 2.2.0.
      Throws:
        `XNIException`

    - #### startElement

          public void startElement(QName element,
                          XMLAttributes attrs,
                          Augmentations augs)
                            throws XNIException

      Start element.
      Throws:
        `XNIException`

    - #### emptyElement

          public void emptyElement(QName element,
                          XMLAttributes attrs,
                          Augmentations augs)
                            throws XNIException

      Empty element.
      Throws:
        `XNIException`

    - #### characters

          public void characters(XMLString text,
                        Augmentations augs)
                          throws XNIException

      Characters.
      Throws:
        `XNIException`

    - #### ignorableWhitespace

          public void ignorableWhitespace(XMLString text,
                                 Augmentations augs)
                                   throws XNIException

      Ignorable whitespace.
      Throws:
        `XNIException`

    - #### startGeneralEntity

          public void startGeneralEntity(java.lang.String name,
                                XMLResourceIdentifier id,
                                java.lang.String encoding,
                                Augmentations augs)
                                  throws XNIException

      Start general entity.
      Throws:
        `XNIException`

    - #### textDecl

          public void textDecl(java.lang.String version,
                      java.lang.String encoding,
                      Augmentations augs)
                        throws XNIException

      Text declaration.
      Throws:
        `XNIException`

    - #### endGeneralEntity

          public void endGeneralEntity(java.lang.String name,
                              Augmentations augs)
                                throws XNIException

      End general entity.
      Throws:
        `XNIException`

    - #### startCDATA

          public void startCDATA(Augmentations augs)
                          throws XNIException

      Start CDATA section.
      Throws:
        `XNIException`

    - #### endCDATA

          public void endCDATA(Augmentations augs)
                        throws XNIException

      End CDATA section.
      Throws:
        `XNIException`

    - #### endElement

          public void endElement(QName element,
                        Augmentations augs)
                          throws XNIException

      End element.
      Throws:
        `XNIException`

    - #### endDocument

          public void endDocument(Augmentations augs)
                           throws XNIException

      End document.
      Throws:
        `XNIException`

(C) Copyright 2002-2014, Andy Clark, Marc Guillemot. All rights reserved.